#include <stdio.h>

int main() {
    int visina, n;

    scanf("%d %d", &visina, &n);

    int a[n];

    for(int i = 0; i < n; i++) {
        scanf("%d", &a[i]);
    }

    for(int i = 0; i < n; i++) {
        if(a[i] <= visina) {
            printf("%d", i + 1);
            return 1;
        }
    }

    printf("%d", -1);
    return 1;
}